Orderbook
Details
GET https://api.pointpay.io/public/cmc/futures/orderbook/{market_pair}
Response parameters:
ticker_id
STRING
Identifier of a ticker with delimiter to separate base/quote, e.g. BTC-USDT
timestamp
NUMERIC
Unix timestamp in milliseconds for when the order book was last updated
bids
ARRAY
Array of [price, quantity] pairs. Each entry represents the offer price and quantity for a bid order
asks
ARRAY
Array of [price, quantity] pairs. Each entry represents the ask price and quantity for an ask order
Response example:
{
"ticker_id": "BTC-USDT",
"timestamp": 1779296669843,
"bids": [
[
"77245.90",
"5.743"
],
[
"77245.80",
"0.003"
],
[
"77245.30",
"0.003"
],
...
],
"asks": [
[
"77246.00",
"0.575"
],
[
"77246.10",
"0.005"
],
[
"77246.70",
"0.005"
],
...
]
}Response example:
This error occurs in the following cases:
Invalid URL
Request contains invalid headers
The
market_pairpath parameter is missing or invalid
Response example:
This error occurs in the following cases:
The requested URL was not found
The specified
market_pairdoes not exist on the exchange